Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface ResourceConnector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FileSystemConnector, JDBCDataSourceConnector, LdapJndiConnector, PDPAServiceConnector, RPCWebServiceConnector, ServiceConnector

    public interface ResourceConnector

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Resource Connector'. Classe astratta che rappresenta il generico connettore ad una risorsa.

The following features are supported:

- `Code`
- `Annotations`

See Also:
  `AppresourcesPackage.getResourceConnector()`

Method Summary
`org.eclipse.emf.common.util.EList<RCAnnotation>` | `getAnnotations()` Returns the value of the 'Annotations' containment reference list.
`java.lang.String` | `getCode()` Returns the value of the 'Code' attribute
`void` | `setCode(java.lang.String value)` Sets the value of the '`Code`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCode

    java.lang.String getCode()

  Returns the value of the 'Code' attribute.

  If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

  codice mnemonico del connettore così come visto dall'applicativo che fa uso della risorsa associata

  Returns:
    the value of the 'Code' attribute.
  See Also:
    `setCode(String)`, `AppresourcesPackage.getResourceConnector_Code()`

### setCode

    void setCode(java.lang.String value)

  Sets the value of the '`Code`' attribute.

  Parameters:
    `value` - the new value of the 'Code' attribute.
  See Also:
    `getCode()`

### getAnnotations

    org.eclipse.emf.common.util.EList<RCAnnotation> getAnnotations()

  Returns the value of the 'Annotations' containment reference list. The list contents are of type `RCAnnotation`.

  If the meaning of the 'Annotations' containment reference list isn't clear, there really should be more of a description here...

  annotazioni aggiuntive associate al connettore.

  Returns:
    the value of the 'Annotations' containment reference list.
  See Also:
    `AppresourcesPackage.getResourceConnector_Annotations()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD